package com.bonus.core.customer.v4.mobile.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class ProfilePhotoDTO {
   @ApiModelProperty("人员id")
   private @NotNull(
   message = "人员id不能为空"
) Long custId;
   @ApiModelProperty("头像url")
   private String headPortraitUrl;
   private Integer expirDay;

   public Long getCustId() {
      return this.custId;
   }

   public String getHeadPortraitUrl() {
      return this.headPortraitUrl;
   }

   public Integer getExpirDay() {
      return this.expirDay;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setHeadPortraitUrl(final String headPortraitUrl) {
      this.headPortraitUrl = headPortraitUrl;
   }

   public void setExpirDay(final Integer expirDay) {
      this.expirDay = expirDay;
   }






}
